#!/bin/bash
#
# Combine all stats grabs in one place

# This is the one thing you have to change each release day.
[ -z "$LATEST" ] && LATEST=15
[ -z "$RELEASE" ] && RELEASE=$LATEST

# To run yum-new-stats
[ -z "$RELEASES" ] && RELEASES="7 8 9"
[ -z "$YUMRELEASES" ] && YUMRELEASES="4 5 6"
[ -z "$NDAYS" ] && NDAYS=7
NEWRELEASES=`seq 10 ${LATEST}`

# starting with F-10 our counts are all done in an automated way
# I handle 7 through 9 specially to make it consistent
for i in $RELEASES; do
eval "YUMCOUNT${i}=`tail -n 1 ~/counts.f${i} | awk '{print $2}'`"
done
for i in $NEWRELEASES ; do
eval "YUMCOUNT${i}=`tail /srv/web/fedoraUsage/updates-released-f${i} | awk '{print $1}'`"
done

~/bin/yum-new-stats.sh 2>&1 > ~/yum-new-stats-log
~/bin/epel-new-stats.sh 2>&1 > ~/epel-new-stats-log
~/bin/dvd-vs-live.sh >> dvd-vs-live.txt

DIRECT_DL=`awk '{print $1, $6, $7, $8, $9}' dvd-vs-live.txt | sed 's/[^-0-9 ]//g' \
| awk '{d+=$2; l+=$3; c+=$4; n+=$5; print $1, d+l+c+n} END {print d+l+c+n}' | tail -n 1`
TOTAL_UNIQUE=`cat f7.ips f8.ips f9.ips \
/srv/web/fedoraUsage.private/updates-released-f10.ips \
/srv/web/fedoraUsage.private/updates-released-f11.ips \
/srv/web/fedoraUsage.private/updates-released-f12.ips \
/srv/web/fedoraUsage.private/updates-released-f13.ips \
/srv/web/fedoraUsage.private/updates-released-f14.ips \
/srv/web/fedoraUsage.private/updates-released-f15.ips \
/srv/web/fedoraUsage.private/rawhide.ips \
| sort -S 2048 | uniq | wc -l`

TOTAL=0
for i in $RELEASES $NEWRELEASES ; do
TOTAL=$(($TOTAL+1))
done
echo "Paste this into the MediaWiki page located at"
echo "URL: https://fedoraproject.org/wiki/Statistics"
echo ""
echo '{|'
echo "!colspan=\"${TOTAL}\" | Total connections to repositories"
echo '|-'

LN1="|"
LN2="|"
for i in $RELEASES $NEWRELEASES; do
eval "THISYUMCOUNT=\$YUMCOUNT${i}"
LN1="${LN1} Fedora `printf %2d ${i}` ||"
LN2="${LN2} `printf %\'d ${THISYUMCOUNT}` ||"
done
# Remove last cell marking
LN1=`echo ${LN1} | sed 's/||$//'`
LN2=`echo ${LN2} | sed 's/||$//'`
echo $LN1
echo '|-'
echo $LN2
echo '|-'
echo "| colspan=\"${TOTAL}\" align=center | ''TOTAL UNIQUE IPs: ${TOTAL_UNIQUE}''<br/>This total is not a simple sum of the counts above. It is a list of unique IP addresses that have connected across all releases. "
echo '|}'
echo ""

# tail /srv/web/fedoraUsage/*
echo -e "\nDirect downloads: ${DIRECT_DL}"
#awk '{print $1, $6, $7, $8, $9}' dvd-vs-live.txt | sed 's/[^-0-9 ]//g' \
#    | awk '{d+=$2; l+=$3; c+=$4; n+=$5; print $1, d+l+c+n} END {print d+l+c+n}' | tail -n 1
#echo -e '\n\n'
#echo 'New version yum stats:'
#echo -e '\n'
#tail -n 1 ~/counts.*
#echo -en '\nTotal unique IPs: '
#cat f7.ips f8.ips f9.ips \
#    /srv/web/fedoraUsage.private/updates-released-f10.ips \
#    /srv/web/fedoraUsage.private/updates-released-f11.ips \
#    /srv/web/fedoraUsage.private/updates-released-f12.ips \
#    /srv/web/fedoraUsage.private/updates-released-f13.ips \
#    /srv/web/fedoraUsage.private/updates-released-f14.ips \
#    /srv/web/fedoraUsage.private/rawhide.ips \
#    | sort | uniq | wc -l
