#!/bin/bash
#

[ -z "$NDAYS" ] && NDAYS=7
[ -z "$RELEASE" ] && RELEASE=15
[ -z "$LASTDAYAGO" ] && LASTDAYAGO=1

echo "Direct downloads: "
for D in $(seq $NDAYS -1 $LASTDAYAGO)
do
  YEAR=`date -d "$D days ago" +"%Y"`
  MONTH=`date -d "$D days ago" +"%m"`
  DAY=`date -d "$D days ago" +"%d"`
  [ -n "$OUTFILE" ] || OUTFILE=~/f${RELEASE}-dl-${YEAR}${MONTH}${DAY}.txt
  egrep "Fedora-$RELEASE.*\.iso" \
      /var/log/hosts/proxy*/${YEAR}/${MONTH}/${DAY}/http/download.fedoraproject.org-access.log | \
      grep '\" 302 ' | awk '{print $1}' | awk -F : '{print $2}' | \
      sort | uniq | wc -l \
      > ${OUTFILE}
  echo "  ${YEAR}-${MONTH}-${DAY} `cat ${OUTFILE}`"  
  mv ${OUTFILE} f${RELEASE}
done
