#!/bin/bash
#

[ -z "$NDAYS" ] && NDAYS=7
[ -z "$RELEASE" ] && RELEASE=15
[ -z "$LASTDAYAGO" ] && LASTDAYAGO=1

#echo "Direct downloads: "
for D in $(seq $NDAYS -1 $LASTDAYAGO)
do
  YEAR=`date -d "$D days ago" +"%Y"`
  MONTH=`date -d "$D days ago" +"%m"`
  DAY=`date -d "$D days ago" +"%d"`
  OUTFILEDVD=~/f${RELEASE}-dvd-${YEAR}${MONTH}${DAY}.txt
  OUTFILELIVE=~/f${RELEASE}-live-${YEAR}${MONTH}${DAY}.txt
  OUTFILECD1=~/f${RELEASE}-cd1-${YEAR}${MONTH}${DAY}.txt
  OUTFILENET=~/f${RELEASE}-net-${YEAR}${MONTH}${DAY}.txt
  ~/bin/rightcat /var/log/hosts/proxy*/${YEAR}/${MONTH}/${DAY}/http/download.fedoraproject.org-access.log* | \
      egrep "Fedora-$RELEASE.*DVD.*\.iso" | \
      grep '\" 302 ' | awk '{print $1}' | \
      sort \
      > ${OUTFILEDVD}
  ~/bin/rightcat /var/log/hosts/proxy*/${YEAR}/${MONTH}/${DAY}/http/download.fedoraproject.org-access.log* | \
      egrep "Fedora-$RELEASE.*Live.*\.iso" | \
      grep '\" 302 ' | awk '{print $1}' | \
      sort \
      > ${OUTFILELIVE}
  ~/bin/rightcat /var/log/hosts/proxy*/${YEAR}/${MONTH}/${DAY}/http/download.fedoraproject.org-access.log* | \
      egrep "Fedora-$RELEASE.*disc1.*\.iso" | \
      grep '\" 302 ' | awk '{print $1}' | \
      sort \
      > ${OUTFILECD1}
  ~/bin/rightcat /var/log/hosts/proxy*/${YEAR}/${MONTH}/${DAY}/http/download.fedoraproject.org-access.log* | \
      egrep "Fedora-$RELEASE.*netinst.*\.iso" | \
      grep '\" 302 ' | awk '{print $1}' | \
      sort \
      > ${OUTFILENET}
  echo -n "  ${YEAR}-${MONTH}-${DAY}"
  echo -n " DVD=`wc -l ${OUTFILEDVD} | awk '{print $1}'`"
  echo -n " Live=`wc -l ${OUTFILELIVE} | awk '{print $1}'`"
  echo -n " CD1=`wc -l ${OUTFILECD1} | awk '{print $1}'`"
  echo -n " Net=`wc -l ${OUTFILENET} | awk '{print $1}'`"
  echo -n " UniqueDVD=`uniq ${OUTFILEDVD} | wc -l | awk '{print $1}'`"
  echo -n " UniqueLive=`uniq ${OUTFILELIVE} | wc -l | awk '{print $1}'`"
  echo -n " UniqueCD1=`uniq ${OUTFILECD1} | wc -l | awk '{print $1}'`"
  echo    " UniqueNet=`uniq ${OUTFILENET} | wc -l | awk '{print $1}'`"
  #mv ${OUTFILE} f${RELEASE}
  rm -f ${OUTFILEDVD} ${OUTFILELIVE} ${OUTFILECD1} ${OUTFILENET}
done
