#/bin/bash
# This script is supposed to always be run on the 1st day of the month!

[ -z $YESTERDAY ] && YESTERDAY=`date +'%Y %m' -d '1 day ago'`
[ -z $YYEAR ] && YYEAR=`echo $YESTERDAY | awk '{print $1}'`
[ -z $YMONTH ] && YMONTH=`echo $YESTERDAY | awk '{print $2}'`

echo -n "Fedoraproject.org visitors for $YYEAR-$YMONTH: "
~/bin/rightcat /var/log/hosts/proxy*/${YYEAR}/${YMONTH}/*/http/fedoraproject.org-access.* \
	| awk '{print $1 }' | sort -S 2048 -u | wc -l

echo -n "Wiki edits for $YYEAR-$YMONTH: "
~/bin/rightcat /var/log/hosts/proxy*/${YYEAR}/${YMONTH}/*/http/fedoraproject.org-access.* \
	| grep -he 'POST.*edit' | awk '{ print $1 }' > wikitmp-${YMONTH}
echo -n "Total=$(wc -l wikitmp-${YMONTH} | awk '{print $1}'), "
echo "Unique=$(sort wikitmp-${YMONTH} | uniq | wc -l)"
rm -f wikitmp-${YMONTH}

