#!/bin/bash
#
# Get statistics for yum connections, in all-new style
#

[ ! -z "$YUMRELEASES" ] || YUMRELEASES="7 8 9"
[ ! -z "$NDAYS" ] || NDAYS=7
[ ! -z "$LASTDAYAGO" ] || LASTDAYAGO=1

for R in $YUMRELEASES
  do
  echo "Checking Fedora ${R}..."
  for i in $(seq $NDAYS -1 $LASTDAYAGO)
    do echo "  ${i} days ago..."
    YEAR=`/bin/date -d "$i days ago" +%Y`
    MONTH=`/bin/date -d "$i days ago" +%m`
    DAY=`/bin/date -d "$i days ago" +%d`
    ~/bin/rightcat /var/log/hosts/proxy*/$YEAR/$MONTH/$DAY/http/mirrors.fedoraproject.org-access.log* | \
	awk /updates-released-f${R}/'{ print $1 }' | \
	sort -S 2048 -u > f${R}.tmp
    sort -S 2048 -u f${R}.tmp f${R}.ips > f${R}.ips.new
    mv f${R}.ips.new f${R}.ips
    COUNT="$YEAR-$MONTH-$DAY `wc -l f${R}.ips | awk '{print $1}'`"
    echo $COUNT >> counts.f${R}
  done
done
